Catch-ups
Update a custom catch-up
Updates the title or description of any catch-up in the company. Returns 404 when the catch-up is not in the company. Requires a company admin Bearer token with the catchup update permission.
PATCH
/
api
/
company
/
custom_catch_ups
/
{id}
Update a custom catch-up
curl --request PATCH \
--url https://api.fluid.app/api/company/custom_catch_ups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"suggestion_title": "Confirm Jan Levinson's quarterly order",
"suggestion_description": "Jan's quarterly paper order ships next Tuesday. Confirm quantities and the delivery address."
}
EOFimport requests
url = "https://api.fluid.app/api/company/custom_catch_ups/{id}"
payload = {
"suggestion_title": "Confirm Jan Levinson's quarterly order",
"suggestion_description": "Jan's quarterly paper order ships next Tuesday. Confirm quantities and the delivery address."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
suggestion_title: 'Confirm Jan Levinson\'s quarterly order',
suggestion_description: 'Jan\'s quarterly paper order ships next Tuesday. Confirm quantities and the delivery address.'
})
};
fetch('https://api.fluid.app/api/company/custom_catch_ups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/custom_catch_ups/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'suggestion_title' => 'Confirm Jan Levinson\'s quarterly order',
'suggestion_description' => 'Jan\'s quarterly paper order ships next Tuesday. Confirm quantities and the delivery address.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/custom_catch_ups/{id}"
payload := strings.NewReader("{\n \"suggestion_title\": \"Confirm Jan Levinson's quarterly order\",\n \"suggestion_description\": \"Jan's quarterly paper order ships next Tuesday. Confirm quantities and the delivery address.\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/company/custom_catch_ups/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"suggestion_title\": \"Confirm Jan Levinson's quarterly order\",\n \"suggestion_description\": \"Jan's quarterly paper order ships next Tuesday. Confirm quantities and the delivery address.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/custom_catch_ups/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"suggestion_title\": \"Confirm Jan Levinson's quarterly order\",\n \"suggestion_description\": \"Jan's quarterly paper order ships next Tuesday. Confirm quantities and the delivery address.\"\n}"
response = http.request(request)
puts response.read_body{
"catch_up": {
"id": 30977,
"catch_up_class": "CUSTOM_CATCH_UP",
"updated_at": "2026-09-16T10:02:17.904Z",
"created_at": "2026-09-15T13:20:44.518Z",
"company_id": 1405,
"user_company_id": 90417,
"suggestion_title": "Confirm Jan Levinson's quarterly order",
"suggestion_description": "Jan's quarterly paper order ships next Tuesday. Confirm quantities and the delivery address.",
"catch_up_actions": [
{
"id": 48290,
"type": "ToDoCatchUpAction",
"status": "pending",
"action_class": null,
"action_data": {
"meta": {
"klass": "CUSTOM_CATCH_UP",
"language": "English",
"action_prompt": "Call Jan to confirm her quarterly paper order"
}
},
"catch_up_id": 30977,
"company_id": 1405,
"contact_id": 77134,
"created_at": "2026-09-15T13:20:44.531Z",
"updated_at": "2026-09-15T13:20:44.531Z"
}
]
},
"meta": {
"request_id": "5f0c8e2a-7b41-4d93-a6e2-1c9d3f84b270",
"timestamp": "2026-09-14T15:04:27Z"
}
}{
"message": "<string>"
}⌘I
Update a custom catch-up
curl --request PATCH \
--url https://api.fluid.app/api/company/custom_catch_ups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"suggestion_title": "Confirm Jan Levinson's quarterly order",
"suggestion_description": "Jan's quarterly paper order ships next Tuesday. Confirm quantities and the delivery address."
}
EOFimport requests
url = "https://api.fluid.app/api/company/custom_catch_ups/{id}"
payload = {
"suggestion_title": "Confirm Jan Levinson's quarterly order",
"suggestion_description": "Jan's quarterly paper order ships next Tuesday. Confirm quantities and the delivery address."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
suggestion_title: 'Confirm Jan Levinson\'s quarterly order',
suggestion_description: 'Jan\'s quarterly paper order ships next Tuesday. Confirm quantities and the delivery address.'
})
};
fetch('https://api.fluid.app/api/company/custom_catch_ups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/custom_catch_ups/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'suggestion_title' => 'Confirm Jan Levinson\'s quarterly order',
'suggestion_description' => 'Jan\'s quarterly paper order ships next Tuesday. Confirm quantities and the delivery address.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/custom_catch_ups/{id}"
payload := strings.NewReader("{\n \"suggestion_title\": \"Confirm Jan Levinson's quarterly order\",\n \"suggestion_description\": \"Jan's quarterly paper order ships next Tuesday. Confirm quantities and the delivery address.\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/company/custom_catch_ups/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"suggestion_title\": \"Confirm Jan Levinson's quarterly order\",\n \"suggestion_description\": \"Jan's quarterly paper order ships next Tuesday. Confirm quantities and the delivery address.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/custom_catch_ups/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"suggestion_title\": \"Confirm Jan Levinson's quarterly order\",\n \"suggestion_description\": \"Jan's quarterly paper order ships next Tuesday. Confirm quantities and the delivery address.\"\n}"
response = http.request(request)
puts response.read_body{
"catch_up": {
"id": 30977,
"catch_up_class": "CUSTOM_CATCH_UP",
"updated_at": "2026-09-16T10:02:17.904Z",
"created_at": "2026-09-15T13:20:44.518Z",
"company_id": 1405,
"user_company_id": 90417,
"suggestion_title": "Confirm Jan Levinson's quarterly order",
"suggestion_description": "Jan's quarterly paper order ships next Tuesday. Confirm quantities and the delivery address.",
"catch_up_actions": [
{
"id": 48290,
"type": "ToDoCatchUpAction",
"status": "pending",
"action_class": null,
"action_data": {
"meta": {
"klass": "CUSTOM_CATCH_UP",
"language": "English",
"action_prompt": "Call Jan to confirm her quarterly paper order"
}
},
"catch_up_id": 30977,
"company_id": 1405,
"contact_id": 77134,
"created_at": "2026-09-15T13:20:44.531Z",
"updated_at": "2026-09-15T13:20:44.531Z"
}
]
},
"meta": {
"request_id": "5f0c8e2a-7b41-4d93-a6e2-1c9d3f84b270",
"timestamp": "2026-09-14T15:04:27Z"
}
}{
"message": "<string>"
}